edu.msu.cme.rdp.classifier.comparison

## Class SigCalculator

- java.lang.Object
- - edu.msu.cme.rdp.classifier.comparison.SigCalculator

    public class SigCalculator
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`SigCalculator(int total1, int total2, float conf)` Creates a new instance of SigCalculater

### Method Summary

Methods
`double` `calculateSig(int s1, int s2)`
`float` `getConfidence()`
`int` `getS1Total()`
`int` `getS2Total()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SigCalculator

    public SigCalculator(int total1,
                 int total2,
                 float conf)

Creates a new instance of SigCalculater

### Method Detail

#### getS1Total

    public int getS1Total()

#### getS2Total

    public int getS2Total()

#### getConfidence

    public float getConfidence()

#### calculateSig

    public double calculateSig(int s1,
                      int s2)